Skip to main content
`Ctrl`+`K`

# SlepcGetVersionNumber

Gets the SLEPc version information from the library.

## Synopsis

    #include "slepcsys.h"
    PetscErrorCode SlepcGetVersionNumber(PetscInt *major,PetscInt *minor,PetscInt *subminor,PetscInt *release)

Not Collective

## Output Parameters

- major - the major version

- minor - the minor version

- subminor - the subminor version (patch number)

- release - indicates the library is from a release

## Notes

Pass `NULL` in any argument that is not requested.

The C macros `SLEPC_VERSION_MAJOR`, `SLEPC_VERSION_MINOR`, `SLEPC_VERSION_SUBMINOR`, `SLEPC_VERSION_RELEASE` provide the information at compile time. This can be used to confirm that the shared library being loaded at runtime has the appropriate version updates.

This function can be called before `SlepcInitialize()`.

## See Also

Writing SLEPc Programs, `SlepcGetVersion()`, `SlepcInitialize()`

## Level

intermediate

## Location

src/sys/slepcinit.c

## Examples

src/sys/tutorials/ex33.c

Index of all Sys routines Table of Contents for all manual pages Index of all manual pages